## OsinfoOsVariant OsinfoOsVariant — A variant of an OS |

## Functions

OsinfoOsVariant * | osinfo_os_variant_new ()
const gchar * | osinfo_os_variant_get_name ()

## Properties

gchar * | name | Read / Write

## Types and Values

#define | OSINFO_OS_VARIANT_PROP_NAME

## Object Hierarchy

        GObject
        ╰── OsinfoEntity
            ╰── OsinfoOsVariant

## Description

OsinfoOsVariant is an entity representing a variant of an operating system.

## Functions

### osinfo_os_variant_new ()

    OsinfoOsVariant *
    osinfo_os_variant_new (const gchar *id);

### osinfo_os_variant_get_name ()

    const gchar *
    osinfo_os_variant_get_name (OsinfoOsVariant *variant);

The name of the `variant`

#### Parameters

variant | an OsinfoOsVariant instance |

#### Returns

the name, or NULL.

[transfer none]

## Types and Values

### OSINFO_OS_VARIANT_PROP_NAME

    #define OSINFO_OS_VARIANT_PROP_NAME "name"

## Property Details

### The `“name”` property

      “name”                     gchar *

The name to this variant.

Flags: Read / Write

Default value: NULL

## See Also

OsinfoOs